Package twisted :: Package web :: Package woven :: Module template :: Class INodeMutator

[frames | no frames]

## Class INodeMutator

    Interface --+
                |
               INodeMutator

A component that implements NodeMutator knows how to mutate DOM based on the instructions in the object it wraps.

Method Summary
| ``generate`(self, request, node)` The generate method should do the work of mutating the DOM based on the object this adapter wraps.

Method Details

### generate(self, request, node)

The generate method should do the work of mutating the DOM based on the object this adapter wraps.

Generated by Epydoc 2.0 on Sat May 15 20:08:15 2004 | http://epydoc.sf.net